## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.14.0
%bcond check 1
%bcond bootstrap 0

%global debug_package %{nil}
%if %{with bootstrap}
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^golang\\(.*\\)$
%endif

# https://github.com/open-telemetry/opentelemetry-go
%global goipath         go.opentelemetry.io/otel
%global forgeurl        https://github.com/open-telemetry/opentelemetry-go
Version:                1.28.0

%gometa -L -f

%global common_description %{expand:
OpenTelemetry Go API and SDK.}

%global golicenses      LICENSE
%global godocs          example CHANGELOG.md CONTRIBUTING.md README.md

Name:           golang-opentelemetry-otel
Release:        %autorelease
Summary:        OpenTelemetry Go API and SDK

License:        Apache-2.0
URL:            %{gourl}
Source:         %{gosource}
Patch:          5670.patch
# Needed for golang-github-moby-buildkit
Patch:          0001-Restore-jaeger-for-otel-1.28-and-removed-from-1.17.patch

%description %{common_description}

%gopkg

%prep
%goprep -A
%autopatch -p1

# OpenCensus is deprecated upstream
rm -rf bridge/opencensus/

%if %{without bootstrap}
%generate_buildrequires
%go_generate_buildrequires
%endif

%install
%gopkginstall

%if %{without bootstrap}
%if %{with check}
%check
for test in "TestBackoffRetry" \
; do
awk -i inplace '/^func.*'"$test"'\(/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' $(grep -rl $test)
done
%gocheck
%endif
%endif

%gopkgfiles

%changelog
## START: Generated by rpmautospec
* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.28.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Aug 06 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.28.0-3
- Restore jaeger support for golang-github-moby-buildkit

* Mon Aug 05 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.28.0-2
- Fix test

* Mon Aug 05 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.28.0-1
- Update to 1.28.0 - Closes rhbz#2277033

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.17.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Apr 17 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.17.0-1
- Update to 1.17.0 - Closes rhbz#2241431 rhbz#2261202 rhbz#2171559

* Mon Apr 15 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.10.0-4
- Fix FTBFS - Closes rhbz#2261202 rhbz#2171559

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Sep 22 2023 Maxwell G <maxwell@gtmx.me> - 1.10.0-1
- Revert "update to v1.16.0, close rhbz#2134686"

* Fri Sep 22 2023 Maxwell G <maxwell@gtmx.me> - 1.16.0-1
- Revert "update to v1.18.0, close rhbz#2236012"

* Sat Sep 16 2023 Mark E. Fuller <mark.e.fuller@gmx.de> - 1.18.0-1
- update to v1.18.0, close rhbz#2236012

* Mon Aug 07 2023 Robert-André Mauchin <zebob.m@gmail.com> - 1.16.0-3
- Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.16.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 22 2023 Mark E. Fuller <mark.e.fuller@gmx.de> - 1.16.0-1
- update to v1.16.0, close rhbz#2134686

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Sep 25 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.10.0-1
- Update to 1.10.0

* Wed Aug 10 2022 Maxwell G <gotmax@e.email> - 1.2.0-3
- Rebuild to fix FTBFS

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Feb 05 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.2.0-1
- Update to 1.2.0

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0~RC2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Aug 02 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.0~RC2-2
- Update to 1.0.0~RC2 Close: rhbz#1963634, rhbz#1987556

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Dec 21 13:27:47 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.15.0-1
- Initial package

## END: Generated by rpmautospec
